::ng-deep .mat-select {
  height: 36px;
}
:host ::ng-deep .mat-mdc-form-field-infix {
  min-height: 36px !important;
}

:host
  ::ng-deep
  .mdc-text-field--no-label:not(.mdc-text-field--outlined):not(
    .mdc-text-field--textarea
  )
  .mat-mdc-form-field-infix {
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}

.mat-mdc-text-field-wrapper:not(.mdc-text-field--outlined)
  .mat-mdc-form-field-infix {
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}
